Skip to main content
PATCH
/
identity
/
v1
/
oidc-applications
/
{applicationId}
Updates payment rail scopes for an application.
curl --request PATCH \
  --url https://api.sandbox.tesouro.com/identity/v1/oidc-applications/{applicationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "addScopes": [
    "<string>"
  ],
  "removeScopes": [
    "<string>"
  ]
}
'
{
  "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "clientId": "<string>",
  "displayName": "<string>",
  "isEnabled": true,
  "scopes": [
    "<string>"
  ],
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

applicationId
string<uuid>
required

The ID of the application to update.

Body

Cancellation token.

addScopes
null | string[]

Scopes to add to the application. Each scope should be in format "payment_rail:ach", "payment_rail:rtp", or "payment_rail:fednow".

removeScopes
null | string[]

Scopes to remove from the application. Each scope should be in format "payment_rail:ach", "payment_rail:rtp", or "payment_rail:fednow".

Response

Scopes updated successfully.

applicationId
string<uuid>
required
clientId
string
required
displayName
string
required
isEnabled
boolean
required
scopes
string[]
required
organizationId
null | string<uuid>